Bug 143755 - offer to recover in progress messages chooses the wrong default behavior
offer to recover in progress messages chooses the wrong default behavior
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-26 18:13 EST by Karsten Wade
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 05:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2004-12-26 18:13:38 EST
Description of problem:

When Evolution has crashed or been forcefully killed, when it comes
back it offers to recover in progress messages -- "Do you want to
recover unfinished messages?"  In previous versions of Evolution, the
automatically selected button, i.e., default choice, _used_ to be
"Recover".  It is now "Don't Recover".

I think this violates the rule of least surprise, and puts the
destructive choice as the default.  

* Caveat - I went from Evo on FC1 to FC3, so it may be my own fault in
missing the transition, but the new button behavior is surprising to me.

* Although I haven't tested it, I presume that if messages are not
recovered, they are gone and unretrievable.  I'm positive that
eventually I will lose messages either by unthinkably accepting the
default, or having a click or keystroke "Enter" intended for another
application get intercepted and vaporize my messages.

Not sure if this is a bug or an RFE. :)


Version-Release number of selected component (if applicable):

evolution-2.0.2-3

How reproducible:

100%

Steps to Reproduce:
1. With new, unsent messages in compose mode, crash Evolution (i.e.,
"kill -9 [PID]")
2. Start Evolution again
3. Notice that the default button selected is "Don't Recover"
  
Actual results:

Destructive default is chosen.

Expected results:

Non-destructive default is chosen.
Comment 1 Phil Schaffner 2005-02-23 14:40:34 EST
Want to register my agreement.  The default should be Recover.
Comment 2 Matthew Miller 2006-07-10 18:52:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Matěj Cepl 2007-08-31 11:21:06 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Karsten Wade 2007-09-04 02:25:34 EDT
No idea when the changed occured, but in recent versions of Evolution in Fedora,
the default behavior/choice is now the correct one (recover).
Comment 5 Matěj Cepl 2007-09-04 05:22:30 EDT
Wonderfull. Closing this bug as CANTFIX, because I don't know when it was
already fixed.

Note You need to log in before you can comment on or make changes to this bug.